﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp100
{
    public partial class Form1 : Form
    {
        Graphics g;
        Pen p;
        int oldX, oldY;

        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            richTextBox1.AppendText("Button clicked!"+Environment.NewLine);
        }

        private void button1_MouseDown(object sender, MouseEventArgs e)
        {
            richTextBox1.AppendText("Mouse down!" + Environment.NewLine);
        }

        private void button1_MouseEnter(object sender, EventArgs e)
        {
            richTextBox1.AppendText("Mouse entered button!" + Environment.NewLine);
        }

        private void button1_MouseUp(object sender, MouseEventArgs e)
        {
            richTextBox1.AppendText("Mouse up!" + Environment.NewLine);
        }

        private void button1_MouseLeave(object sender, EventArgs e)
        {
            richTextBox1.AppendText("Mouse left button!" + Environment.NewLine);
        }

        private void Form1_MouseDown(object sender, MouseEventArgs e)
        {
            richTextBox1.AppendText("Mouse down at:"+e.Location + Environment.NewLine);
        }

        private void Form1_MouseMove(object sender, MouseEventArgs e)
        {
            label1.Text = e.X + "," + e.Y;
            g.DrawLine(p, oldX, oldY, e.X, e.Y);
            oldX = e.X;
            oldY = e.Y;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            g = this.CreateGraphics();
            p = new Pen(Color.DarkBlue, 1.5f);
        }

        private void Form1_MouseEnter(object sender, EventArgs e)
        {
           
        }

        private void button3_Click(object sender, EventArgs e)
        {
            p.Color = this.BackColor;
            p.Width = 5;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            g.DrawLine(p, 0, 0, 200, 350);
            g.DrawRectangle(p, 50, 50, 100, 200);
            g.DrawEllipse(p, 140, 120, 90, 190);
        }
    }
}
